## django-dajax 0.9.2

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/django-dajax.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/django-dajax.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/django-dajax"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/django-dajax"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## django-dajax 0.8.4

=== debian/changelog ===
django-dajax (0.8.4-5) unstable; urgency=low

  * debian/copyright: Update format to copyright-format 1.0.
  * debian/control:
    - Cosmetic changes.
    - Switch package to git VCS.
    - Remove X-Python-Version.
    - Remove python-django Depends.
  * Bump Standards-Version to 3.9.3 (no changes).

 -- Angel Abad <angel@debian.org>  Wed, 27 Jun 2012 16:20:38 +0200

django-dajax (0.8.4-4) unstable; urgency=low

  * Email change: Angel Abad -> angel@debian.org
  * debian/control:
    - Remove extra space
    - Remove DM-Upload-Allowed
  * debian/copyright:
    - Update format specification
    - Update debian/* years
  * Bump Standards-Version to 3.9.2 (no changes)
  * Bump debhelper compat level to 8

 -- Angel Abad <angel@debian.org>  Tue, 03 Jan 2012 00:35:00 +0100

django-dajax (0.8.4-3) unstable; urgency=low

  * Team Upload
  * No change rebuild for python transition

 -- Scott Kitterman <scott@kitterman.com>  Wed, 20 Apr 2011 02:34:07 -0400

django-dajax (0.8.4-2) unstable; urgency=low

  * Switch to dh_python2
      - debian/control:
        + Remove python-support from B-D-I
        + Bump minimun python-all version to 2.6.6-3
        + Add Breaks: python:Breaks
        + Add X-Python-Version: >= 2.4
      - debian/rules
        + Add --with python2 to rules
      - debian/pyversions: Remove file
  * Bump Standards-Version to 3.9.1 (no changes)
  * debian/control: Add versined depend to python-django (>= 1.1.0)

 -- Angel Abad <angelabad@gmail.com>  Mon, 07 Feb 2011 14:58:03 +0100

django-dajax (0.8.4-1) unstable; urgency=low

  * New upstream release
  * debian/control: 
    - B-D-I on python-support (>= 0.90) for python 2.6 support
    - B-D on python-all (>= 2.4)
    - Bump python-django-dajaxice depencency to 0.1.3 version

 -- Angel Abad <angelabad@gmail.com>  Sun, 04 Apr 2010 04:34:49 +0200

django-dajax (0.8.3-1) unstable; urgency=low

  * Initial release (Closes: #556855)

 -- Angel Abad <angelabad@gmail.com>  Tue, 23 Feb 2010 19:40:34 +0100

=== debian/control ===
Source: django-dajax
Section: python
Priority: optional
Maintainer: Angel Abad <angel@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 8),
 python-all (>= 2.6.6-3)
Standards-Version: 3.9.3
Homepage: http://wiki.github.com/jorgebastida/django-dajax
Vcs-Git: git://anonscm.debian.org/collab-maint/django-dajax.git
Vcs-Browser: http://anonscm.debian.org/git/collab-maint/django-dajax.git

Package: python-django-dajax
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
 python-django-dajaxice (>= 0.1.3)
Description: easy to use ajax library for django
 Dajax helps creating easy-to-use, lightweight and uniform communications
 between clients and servers over XMLHttpRequest. Dajax supports four of
 the most important and popular js frameworks, including Prototype, jQuery,
 mootols and Dojo.

## django-dajax 0.9.2

=== debian/changelog ===
django-dajax (0.9.2-1) unstable; urgency=low

  * Imported Upstream version 0.9.2
  * debian/watch: Now uses pypi
  * debian/patches/01_setuptools: Uses setuptools instead of distutils
  * debian/control:
    - Build-Depends on python-setuptools
    - Build-Depends on python-sphinx
    - Depends on ${sphinxdoc:Depends}
    - Update Homepage
    - Update Vcs- fields
    - Bump python-django-dajaxice Depends to >=0.5
  * debian/rules:
    - Build sphinx html documentation
    - Clean django_dajax.egg-info directory
    - Install upstream changelog from docs/changelogs.rst
  * debian/docs:
    - Install sphinx html documentation
    - Remove README file, removed upstream
  * debian/doc-base: Register html documentation
  * debian/copyright:
    - Update upstream email
    - Update upstream years
    - Update Source URL
  * Bump Standards-Version to 3.9.4 (no changes)
  * debian/NEWS: Add information for 0.9 migration

 -- Angel Abad <angel@debian.org>  Sun, 30 Sep 2012 12:48:41 +0200

=== debian/control ===
Source: django-dajax
Section: python
Priority: optional
Maintainer: Angel Abad <angel@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 8),
 python-setuptools (>= 0.6b3),
 python-all (>= 2.6.6-3),
 python-sphinx (>= 1.0.7+dfsg)
Standards-Version: 3.9.4
Homepage: http://dajaxproject.com
Vcs-Git: git://git.debian.org/collab-maint/django-dajax.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/django-dajax.git

Package: python-django-dajax
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, ${sphinxdoc:Depends},
 python-django-dajaxice (>= 0.5)
Description: easy to use ajax library for django
 Dajax helps creating easy-to-use, lightweight and uniform communications
 between clients and servers over XMLHttpRequest. Dajax supports four of
 the most important and popular js frameworks, including Prototype, jQuery,
 mootols and Dojo.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh  $@ --with sphinxdoc,python2

override_dh_auto_clean:
	rm -rf django_dajax.egg-info
	rm -rf build
	dh_auto_clean

override_dh_installdocs:
	python setup.py build_sphinx
	dh_installdocs

override_dh_installchangelogs:
	dh_installchangelogs docs/changelog.rst

=== debian/watch ===
version=3

http://pypi.python.org/packages/source/d/django-dajax/django-dajax-([\d.]*)\.tar.gz
